# Swiss Ephemeris API

A RESTful API for the Swiss Ephemeris astrological calculations built with FastAPI.

## Features

- High-precision astrological calculations using Swiss Ephemeris
- RESTful API with detailed documentation
- Endpoints for:
  - Planetary positions
  - House systems
  - Aspects
  - Transits
  - Natal charts

## Installation

1. Clone this repository
2. Install dependencies: `pip install -r requirements.txt`
3. Run the server: `uvicorn app.main:app --reload`

## API Documentation

When the server is running, you can access the interactive API documentation at:

- Swagger UI: http://localhost:8000/docs
- ReDoc: http://localhost:8000/redoc

## Environment Variables

Create a `.env` file in the project root with:

```
EPHE_PATH=C:\Path\To\Swiss\Ephemeris\Files
```

## License

This project is licensed under the terms of the AGPL-3.0 license, in accordance with the Swiss Ephemeris licensing.
