import base64
import os

# Path to your ephemeris files
EPHE_PATH = r"C:\Users\hunta\Documents\GitHub\swisseph\ephe"

# Essential files needed for basic calculations
essential_files = [
    "sepl_18.se1",  # Planets
    "semo_18.se1",  # Moon
    "seas_18.se1",  # Asteroids
    # These files provide coverage for a good range of years
    # Add more files for extended time range if needed
]

output = "EPHEMERIS_FILES = {\n"

for filename in essential_files:
    file_path = os.path.join(EPHE_PATH, filename)
    if os.path.exists(file_path):
        with open(file_path, "rb") as f:
            content = base64.b64encode(f.read()).decode('utf-8')
        print(f"Encoded {filename} ({os.path.getsize(file_path) / 1024:.2f} KB)")
        output += f'    "{filename}": """{content}""",\n'
    else:
        print(f"Warning: File {filename} not found")

output += "}\n"

# Write to a new file
with open("C:\\Users\\hunta\\Documents\\swiss-ephemeris-api\\ephemeris_data.py", "w") as f:
    f.write(output)

print("\nEncoded ephemeris files written to ephemeris_data.py")
print("Copy the content of this file to replace the EPHEMERIS_FILES dictionary in the main script.")
